<!DOCTYPE html>
<html>
	<head>
		<title>Commande Appareil</title>
		<link 	href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" 
			rel="stylesheet"
		      	integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" 
		      	crossorigin="anonymous">
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" 
			integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4" 
			crossorigin="anonymous">
		</script>
	</head>

	<body style="background-color:grey;">
		<?php 
			session_start();
			if(isset($_SESSION['identifiant'])){
				$identifiant = $_SESSION['identifiant'];
			}else{
				echo "<meta http-equiv=\"refresh\" content=\"0;url=index.html\">";
			}
		?>
		<!--Retour page d'accueil -->
		<form method="post" action="mesReservations.php">
			<input type="submit" value="Retour à vos réservations" class="btn btn-secondary"/>
		</form>
		<br/>
		<div class="text-white">
		<?php	
			/* Recuperation de l'adresse IP, du type et du nom de l'appareil choisi */
			include("connexion.php");
			if(isset($_POST['banc']) && isset($_POST['heure'])){
				/* Methode POST quand on vient des réservations */
				$heure=$_POST['heure'];
				$number=0;
				$Banc = $_POST['banc'];
				$_SESSION['banc']=$Banc;
				$_SESSION['heure']=$heure;
				$requete = "SELECT * FROM equipement WHERE
					num = $Banc";
				$exec_requete = mysqli_query($db,$requete);
				$reponse = mysqli_fetch_all($exec_requete);
				foreach($reponse as $element){
					$number++;
					$nom = $element[2];
					$type = $element[3];
					$adresse = $element[1];
					$Appareil[$number-1]['nom'] = $nom;
					$Appareil[$number-1]['type'] = $type;
					$Appareil[$number-1]['adresse'] = $adresse;
				}
			}else if(isset($_SESSION['banc']) && isset($_SESSION['heure'])){
				/* Session (quand on vient de la page main) */
				$number = 0;
				$Banc = $_SESSION['banc'];
				$heure = $_SESSION['heure'];
				$requete = "SELECT * FROM equipement WHERE
					num =$Banc";
				$exec_requete = mysqli_query($db,$requete);
				$reponse = mysqli_fetch_all($exec_requete);
				foreach($reponse as $element){
					$number++;
					$nom = $element[2];
					$type = $element[3];
					$adresse = $element[1];		
					$Appareil[$number-1]['nom'] = $nom;
					$Appareil[$number-1]['type'] = $type;
					$Appareil[$number-1]['adresse'] = $adresse;
				}
			}else{
				/* Si par erreur on arrive sur cette page : redirection vers la page principale */
				echo "Erreur, vous allez être redirigé";
				echo "<meta http-equiv=\"refresh\" content=\"0;URL=menu.php\">";
			}

			/* DEBUG */
			/* Affichage des données de l'appareil (nom,type et adresse IP) */	
			for($i=1;$i<=count($Appareil);$i++){
				echo "Données de l'appareil $i choisi : <br/>";
				echo "Nom : ".$nom."<br/>";
				echo "Adresse : ".$adresse."<br/>";
				echo 'Type : '.$type.'<br/>';
				echo "Heure = $heure";
				echo "<br/>";
			}

			/* Recherche des fichiers 'commandes_type.php' dans les dossiers des types d'appareils sélectionnés 
			 * Ces fichiers vont effectuer les commandes de l'appareil si un bouton est utilisé */
			/* TODO
			for($i=0;$i<count($Appareil);$i++){
				$chemin = $Appareil[$i]['type'];
				$adresse = $Appareil[$i]['adresse'];
				$files = array_diff(scandir($chemin),array('..','.'));
				foreach($files as $type_cmd){
					$cmd_path = $chemin.'/'.$type_cmd;
					if(is_file($cmd_path) and strpos($cmd_path,"/commandes")!=false){
						include($cmd_path);
					}
				}	
			}*/
		?>
		</div>
		<br/>
		<?php
			/* Recherche des fichiers 'main_type.php' dans les dossiers des types d'appareils sélectionnés 
			 * Ces fichiers vont afficher une capture de l'appareil et les commandes que l'utilisateur peut utiliser */
			/* TODO
			for($i=0;$i<count($Appareil);$i++){
				$chemin = getcwd().'/'.$Appareil[$i]['type'];
				$adresse = $Appareil[$i]['adresse'];
				$files = array_diff(scandir($chemin),array('..','.'));
				foreach($files as $type_form){
					$form_path = $chemin.'/'.$type_form;
					if(is_file($form_path) and strpos($form_path,"/main")!=false){
						echo '<div>';
						include($form_path);
						echo '</div>';
					}
				}	
			}*/
			/* Appel du script du rafraichissement des images, un script par appareil */
			/* TODO for($i=0;$i<count($Appareil);$i++){
				include('Scripts/refresh_img.php');
			}*/
			mysqli_close($db);
		?>
		<script type="text/javascript">
			function quitter(){
				var horaire = new Date();
				var time = horaire.getHours();
				var heure_reserve = <?php echo "'$heure'" ?>;
				var valHeure = heure_reserve.split(":");
				var vraieHeure = valHeure[0];
				if(time>vraieHeure){
					alert("Votre creneau est terminé, vous allez être redirigé.");
					window.location.href = "menu.php";
				}
			};
			window.onload = function(){
				setInterval(quitter,1000);
			};
		</script>
	</body>
</html>
