<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8"/>
		<title>Mes réservations</title>
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css"
		      rel="stylesheet"
		      integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x"
		      crossorigin="anonymous">
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js"
			integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//E1J19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4"
			crossorigin="anonymous">
		</script>
	</head>
	<body>
		<form method="POST" action="menu.php"> 
			<button class="btn-lg btn-secondary" type="submit">Retour au menu</button>
		</form>
		<?php
			session_start();
			if(isset($_SESSION['identifiant'])){
				$identifiant = $_SESSION['identifiant'];
			}else{
				echo "<meta http-equiv=\"refresh\" content=\"0;url=index.html\">";
			}
			include("connexion.php");
			$requete = "SELECT count(*) FROM reservation WHERE
				login = '".$identifiant."'";
			$exec_requete = mysqli_query($db,$requete);
			$reponse = mysqli_fetch_array($exec_requete);
			$count = $reponse['count(*)'];
			if($count == 0){
				echo "Aucun banc d'essai n'a été réservé";
			}else{
				echo "<div class='px-4 py-4 my-5 text-center'>";
				echo "Vos reservations ($identifiant) : <br>";
				echo "</div>";
				$actualDate = date("Y-m-d");
				$requete = "SELECT * FROM reservation WHERE
					login = '".$identifiant."' AND jour >= '$actualDate'";
				$exec_requete = mysqli_query($db,$requete);
				$reponse = mysqli_fetch_all($exec_requete);
				foreach($reponse as $creneau){
					echo "<div class='px-4 py-4 my-5 text-center border-top'>";
					echo "Banc : $creneau[0] | Date : $creneau[1] $creneau[3]-$creneau[4]";
					echo "<form method='POST' action='supprReservation.php?banc=$creneau[0]&moment=$creneau[1]&personne=$identifiant&heuredebut=$creneau[3]'>";
					echo "<button class='btn-lg btn-danger' type='submit'>Supprimer la reservation</button>";
					echo "</form>";
					/* Utilisation pour accès aux reservations */
					echo "<form method='POST' action='main.php'>";
					echo "<input type='hidden' name='heure' value='$creneau[3]'>";
					date_default_timezone_set('Europe/Paris');
					$ActualDate = date("Y-m-d",time());
					if($ActualDate==$creneau[1]){
						$ActualHour = date("h:i",time());
						$Periode = date("a",time());
						if($Periode=="pm"){
							$newHour = explode(":",$ActualHour);
							$Heure = $newHour[0]+12;
							$ActualHour = "".$Heure.":".$newHour[1];
						}
						if(!($creneau[3]<=$ActualHour && $ActualHour<$creneau[4])){
							echo "<button class='btn-lg btn-outline-success' type='submit' disabled ";
						}else{
							echo "<button class='btn-lg btn-success' type='submit' name='banc' value='$creneau[0]'";
						}
					}else{
						echo "<button class='btn-lg btn-outline-success' type='submit' disabled ";
					}
					echo ">Acceder au banc</button>";
					echo "</form>";
					echo "</div>";
				}
			}
			mysqli_close($db);
		?>
	</body>
</html>
